GET
/
nps
/
txs
cURL
curl --request GET \
  --url https://apidev.nusd.me/nps/txs \
  --header 'BIZ-API-KEY: <api-key>' \
  --header 'Biz-Api-Nonce: <api-key>' \
  --header 'Biz-Api-Signature: <api-key>'
{
  "status": 0,
  "data": {
    "total": "33",
    "txs": [
      {
        "transaction_id": "9e409c3b-a9b0-4225-80cf-f4da550153a4",
        "wallet_id": "e9167870-e18b-4e82-8b87-92ec7ede8e45",
        "chain_id": "BASE_ETH",
        "token_id": "USDT",
        "to": "0x728398976e145f022108ff633b8e52dd04c1f96c",
        "type": "Withdrawal",
        "status": "Completed",
        "amount": "0.01",
        "fee_ratio": "0.01",
        "fee_fixed": "0",
        "fee": "0.0001",
        "amount_actual": "0.01",
        "hash": "0xc3d598f711897faa970cf0db63236248c7b06579a0739c1395aeaddcc9147770",
        "payer": "User",
        "er": 1,
        "created_at": "2025-11-14T04:51:57.586Z",
        "confirmed_at": "2025-11-14T04:56:22.840Z",
        "completed_at": "2025-11-14T04:56:22.840Z"
      }
    ]
  },
  "msg": "<string>"
}

Authorizations

BIZ-API-KEY
string
header
required

API key. Must be included in the request header.

Biz-Api-Nonce
string
header
required

Timestamp. Must be included in the request header.

Biz-Api-Signature
string
header
required

Signature string. Must be included in the request header.

Query Parameters

transaction_id
string

Transaction ID (optional).

Example:

"a9c40fb5-2c17-45cf-aaca-7b58e1bf4afd"

wallet_id
string

Wallet ID (optional).

Example:

"e9167870-e18b-4e82-8b87-92ec7ede8e45"

hash
string

Transaction hash (optional).

Example:

"0xd51137845fbdcc028f779766de91a98c5b18418f299f220ad914d89cab2439b"

type
enum<string>

Transaction type: =Deposit for deposit; =Withdrawal for withdrawal (optional).

Available options:
Deposit,
Withdrawal
Example:

"Withdrawal"

address
string

On-chain address: the recipient address of the deposit or withdrawal (optional).

Example:

"0xdc2e6b357766aa4b66f41dc2959837ace7d61d46"

chain_id
string

Chain ID (optional).

Example:

"BSC_BNB"

token_id
string

Token ID (optional).

Example:

"BSC_USDT"

status
string

Processing: pending confirmation, Approved: approved, Cancelled: cancelled, Rejected: rejected, Signed: signed, Pending: broadcasted, Confirming: confirming, Completed: completed, Failed: failed (optional).

Example:

"Confirming"

min_created
integer

Start timestamp (transaction creation time), in seconds (optional).

Example:

1635744000

max_created
integer

End timestamp (transaction creation time), in seconds (optional).

Example:

1635744000

page
integer

Page number.

Example:

1

num
integer

Items per page. Default: 100. Max: 1000.

Example:

20

Response

Request succeeded. Returns transaction data.

status
integer

Status code. 0 indicates success.

Example:

0

data
object

Transaction list.

msg
string

Error message. Present when status is non-zero.